%define DISTRO %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+\\)\\( Linux release \\)\\(.\\+\\)\\( .\\+\\)/\\1 \\3/" /etc/redhat-release)
%define DISTRO_REL %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+ release \\)\\(.\\+\\)\\( .\\+\\)/\\2/" /etc/redhat-release)
%define REQ_RPM_REL %(rpm -q --queryformat "%{VERSION}" rpm)
%define GLIBC_REL %(rpm -q --queryformat "%{VERSION}" glibc)

Summary: 	TSLD - Temperature Sensor Logging Daemon
Name: 		tsld
Version:	0.4
Release:	1.%{DISTRO_REL}
Copyright: 	GPL
Group: 		System Environment/Daemons
Source: 	http://kirriwa.net/john/tsld/%{name}-%{version}.tar.gz
Buildroot: 	/var/tmp/tsld-root
Prefix:	 	%{_prefix}
BuildRequires:	rrdtool-devel
Requires:	chkconfig
Url: 		http://kirriwa.net/john/tsld/
Vendor: 	John Clarke <johnc+tsld@kirriwa.net>
Packager:	John Clarke <johnc+tsld@kirriwa.net>

%description
TSLD is a daemon to log temperature measurements from a device built to
James Cameron's design.  See http://quozl.netrek.org/ts/ for details of
the hardware.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --with-rrdtool
make

%pre
# create user tsld if it doesn't already exist
if [ -z "`/bin/egrep '^tsld:' /etc/passwd`" ]
then
    /usr/sbin/useradd -d /var/log/tsld -M -r -s /sbin/nologin tsld > /dev/null 2>&1
    # and add to the uucp group to allow access to /dev/ttyS*
    /usr/sbin/usermod -G tsld,uucp tsld > /dev/null 2>&1
fi

%post
/sbin/chkconfig --add tsld

%install
rm -rf ${RPM_BUILD_ROOT}
make install prefix=${RPM_BUILD_ROOT}/usr imandir=${RPM_BUILD_ROOT}%{_mandir}/man1 mandir=${RPM_BUILD_ROOT}%{_mandir}

# reduce executables length
strip ${RPM_BUILD_ROOT}/%{_bindir}/tsld
# remove .in/.am files
#find  . -type f -name "*.in" -exec rm -f \{\} \;
#find  . -type f -name "*.am" -exec rm -f \{\} \;
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
install -m 755 ${RPM_SOURCE_DIR}/tsld.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/tsld
install -m 755 ${RPM_SOURCE_DIR}/tsld.sysconfig ${RPM_BUILD_ROOT}/etc/sysconfig/tsld
mkdir -p ${RPM_BUILD_ROOT}/var/spool/tsld

%clean
rm -rf ${RPM_BUILD_ROOT}
 
%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%doc AUTHORS COPYING ChangeLog README NEWS
%config(noreplace) /etc/sysconfig/tsld
%config /etc/rc.d/init.d/tsld
%attr(755,tsld,tsld) %dir /var/spool/tsld

%preun
if [ $1 = 0 ] ; then
    service tsld stop >/dev/null 2>&1
    /sbin/chkconfig --del tsld
fi

%postun
if [ "$1" -ge "1" ] ; then
    service tsld condrestart >/dev/null 2>&1
fi

%changelog
* Wed Dec  2 2004 John Clarke <johnc+tsld@kirriwa.net>
- 0.4 release

* Wed Dec  1 2004 John Clarke <johnc+tsld@kirriwa.net>
- 0.3 release

* Wed Dec  1 2004 John Clarke <johnc+tsld@kirriwa.net>
- 0.2 release

* Tue Oct 26 2004 John Clarke <johnc+tsld@kirriwa.net>
- Added %post

* Mon Oct 25 2004 John Clarke <johnc+tsld@kirriwa.net>
- 0.1 release
